Skip to main content
DELETE
/
payment_methods
/
{method_id}
Payment Method - Delete
curl --request DELETE \
  --url https://api.test.switch.vaultera.co/payment_methods/{method_id} \
  --header 'api-key: <api-key>'
{
  "payment_method_id": "card_rGK4Vi5iSW70MY7J2mIg",
  "deleted": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.switch.vaultera.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
header
required

Use the API key created under your merchant account from the Vaultera Switch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.

Path Parameters

method_id
string
required

The unique identifier for the Payment Method

Response

Payment Method deleted

payment_method_id
string
required

The unique identifier of the Payment method

Example:

"card_rGK4Vi5iSW70MY7J2mIg"

deleted
boolean
required

Whether payment method was deleted or not

Example:

true